Zum Hauptinhalt springen
PUT
/
crm
/
lists
/
2026-03
/
{listId}
/
memberships
/
add-and-remove
cURL
curl --request PUT \
  --url https://api.hubapi.com/crm/lists/2026-03/{listId}/memberships/add-and-remove \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "recordIdsToAdd": [
    "<string>"
  ],
  "recordIdsToRemove": [
    "<string>"
  ]
}
'
{
  "recordIdsMissing": [
    "<string>"
  ],
  "recordIdsRemoved": [
    "<string>"
  ],
  "recordsIdsAdded": [
    "<string>"
  ]
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

listId
string
erforderlich

Body

application/json
recordIdsToAdd
string[]
erforderlich
recordIdsToRemove
string[]
erforderlich

Antwort

successful operation

recordIdsMissing
string[]
erforderlich

The IDs of the records that were missing (e.g. did not exist in the portal) and so were not added or removed.

recordIdsRemoved
string[]
erforderlich

The IDs of the records that were removed from the list.

recordsIdsAdded
string[]
erforderlich
Last modified on April 9, 2026